Bug 176234 - Fedora should enable storage.policy.should_mount for non-hotpluggable non-removable disks
Fedora should enable storage.policy.should_mount for non-hotpluggable non-rem...
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2005-12-20 08:42 EST by Richard Hughes
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-28 19:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2005-12-20 08:42:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have multiple partitions on my laptop, with one fat32 windows xp partition that I use as a shared drive between the two os's. HAL detects this partitions but does not decide to mount it.

In /usr/share/hal/fdi/policy/10osvendor/10-storage-policy.fdi there is a section:

     <match key="storage.hotpluggable" bool="false">
       <match key="storage.removable" bool="false">
	<merge key="storage.policy.should_mount" type="bool">false</merge>

where any non-hotpluggable non-removable disks are disabled. This was due apparently to a RHEL customer who had thousands of disks in his GNOME desktop thanks to the SAN disks being identified.

Changing this to "true" lets me mount my disk using the normal GNOME icons.

Whilst I think this makes sense for RHEL to keep this setting (and similar for upstream) I think the *fedora* version of hal should be changed to not set this condition for the sake of the average end user.

Or could we make this disable more specific and match only fs's of specific type... we would need the original RHEL bugreport for that.

This has all come about because of a LUG meeting, where people were discussing the mount syntax to be able to mount an internal ide partition. New users shouldn't have to jump through hoops so that the partition gets mounted. I've brought this up on the HAL list before, [http://lists.freedesktop.org/archives/hal/2005-October/003622.html] and this was the consensus between us.

So, for the next hal update in rawhide, could we please turn this on just for fedora using a %patch in the rpm specfile?

Thanks, Richard.

Version-Release number of selected component (if applicable):
hal-0.5.6 (cvs)

How reproducible:

Steps to Reproduce:
1. partition disk
2. load fedora
3. observe that other partitions cannot be mounted easily.

Actual Results:  nothing.

Expected Results:  partition should be available in "Computer"

Additional info:
Comment 1 John (J5) Palmieri 2005-12-20 10:18:36 EST
Are you saying if should_mount is false it doesn't even show up as an unmounted

Comment 2 Richard Hughes 2005-12-20 10:28:03 EST
Comment 3 David Zeuthen 2006-09-28 19:41:29 EDT
This will be fixed in FC7 with PolicyKit. Closing as UPSTREAM as it's on
upstream's TODO list.

Note You need to log in before you can comment on or make changes to this bug.